flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: [DISCUSS] Discuss Release Apache FlexJS 0.6.0 RC2
Date Wed, 30 Mar 2016 16:16:44 GMT
I suppose so, but the approval script is for the convenience of the PMC voters and not a part
of the release itself, so IMO, not critical.

-Alex

From: Peter Ent <pent@adobe.com<mailto:pent@adobe.com>>
Date: Wednesday, March 30, 2016 at 7:47 AM
To: Alex Harui <aharui@adobe.com<mailto:aharui@adobe.com>>, "dev@flex.apache.org<mailto:dev@flex.apache.org>"
<dev@flex.apache.org<mailto:dev@flex.apache.org>>
Subject: Re: [DISCUSS] Discuss Release Apache FlexJS 0.6.0 RC2

Shouldn't ${adobe.flex.license} be replaced with something, was my point.
—peter

From: Alex Harui <aharui@adobe.com<mailto:aharui@adobe.com>>
Date: Wednesday, March 30, 2016 at 10:33 AM
To: Peter Ent <pent@adobe.com<mailto:pent@adobe.com>>, "dev@flex.apache.org<mailto:dev@flex.apache.org>"
<dev@flex.apache.org<mailto:dev@flex.apache.org>>
Subject: Re: [DISCUSS] Discuss Release Apache FlexJS 0.6.0 RC2


That part of the approval script is setting up the regular flex sdk. Later you will be asked
about the flat fonts.


Sent from my LG G3, an AT&T 4G LTE smartphone


------ Original message------

From: Peter Ent

Date: Wed, Mar 30, 2016 7:14 AM

To: dev@flex.apache.org<mailto:dev@flex.apache.org>;

Subject:Re: [DISCUSS] Discuss Release Apache FlexJS 0.6.0 RC2


I ran the Approval xml script and noticed this:

Apache Flex can optionally integrate with Adobe's embedded font support.

This feature requires a few font jars from the Adobe Flex SDK.
The Adobe SDK license agreement for Adobe Flex 4.6 applies to these jars.

This license is not compatible with the Apache v2 license.
${adobe.flex.license}
Do you want to install these jars from the Adobe Flex SDK? (y, [n])



I don't think you want ${adobe.flex.license} in there, do you?

‹peter


On 3/30/16, 1:22 AM, "Alex Harui" <aharui@adobe.com<mailto:aharui@adobe.com>>
wrote:

>This is the discussion thread.
>
>Changes in this RC include:
>-The contents of frameworks/fonts are no longer packaged as they may not
>have Apache-compatible licenses
>-LICENSE was changed to not mention the contents of frameworks/fonts
>-The build script will ask you whether you want those files or not
>-The install script will ask you whether you want those files or not
>-ASDoc LICENSE file should now be plain AL and nothing else.
>
>Thanks,
>Alex Harui
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message